import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterInventoryBarsService = createAsyncThunk(
  "SLAUGHTER_INVENTORY_BARS_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("bars_for_kill_house/", {
      params: {
        type: d.type,
        date1: d.selectedDate1,
        date2: d.selectedDate2,
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
